alpm-db-files-format(1)

NAME
alpm-db-files-format - Read and validate alpm-db-files data and return it in another file format.

SYNOPSIS
alpm-db-files format [-i|--input-file] [-f|--format] [-o|--output] [-p|--pretty] [-h|--help]

DESCRIPTION
Read and validate alpm-db-files data and return it in another file format.

If the data can be validated, the program exits with the data returned in another file format on stdout and an exit code of zero. If the file can not be validated, an error is emitted on stderr and the program exits with a non-zero exit code.

OPTIONS

-i, --input-file <INPUT_FILE>
    An input file to read from. If no file is provided, stdin is used instead.
    May also be specified with the ALPM_DB_FILES_FORMAT_INPUT_FILE environment variable.

-f, --format <OUTPUT_FORMAT> [default: json]
    Set the output format.
    Possible values:

    •   json: The JSON output format.

    •   v1: The alpm-db-files output format.
    May also be specified with the ALPM_DB_FILES_FORMAT_OUTPUT_FORMAT environment variable.

-o, --output <OUTPUT>
    A file path to write to.
    May also be specified with the ALPM_DB_FILES_FORMAT_OUTPUT environment variable.

-p, --pretty
    Determines whether the output will be displayed in a pretty non-minimized fashion. Only applies to formats that support pretty output, otherwise it is ignored.
    May also be specified with the ALPM_DB_FILES_FORMAT_PRETTY environment variable.

-h, --help
    Print help (see a summary with '-h')